import com.sun.xml.internal.ws.policy.privateutil.PolicyUtils.IO;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

import static java.lang.Character.isLowerCase;
import static java.lang.Character.isUpperCase;
import static java.lang.Character.toLowerCase;

public class ROT13 {

	private int shiftAmount;


    protected String startUpper;
    protected String startLower;
    protected String registerUpper;
    protected String registerLower;
    protected String symmetric;

    ROT13(Character cs, Character cf) {
    	shiftAmount = cf - cs;
    }

    ROT13() {
    	shiftAmount = 13;
    }


    public String crypt(String text) throws UnsupportedOperationException {


    	char[] arr = text.toCharArray();
        for (int i = 0; i < arr.length; i++) {
        	arr[i] = (isLowerCase(arr[i])) ? // if lower case character at index i in array, do first statement, else do second
			        (char)((arr[i] + shiftAmount - 97) % 26 + 97) : (char)((arr[i] + shiftAmount - 65) % 26 + 65); // casting to char
        }
        return String.valueOf(arr); //returns charArray as String
    }


    public String encrypt(String text) {

        return crypt(text);
    }

    public String decrypt(String text) {
        return crypt(text);
    }

    public String fileToString(File fp) throws IOException {
    	// get the text of a given file from its filepath

    	return new String(Files.readAllBytes(Paths.get(String.valueOf(fp))));
	    //get value of String then convert to bytestream
    }

	public File StringToFile(String originalFile, String fileName) throws IOException {
		// Create a file using a fileWriter. encrypt text then write to fileName
		// String originalFile to encrypted text then write to fileName

		File file = new File(originalFile);

		// Creates the file
		file.createNewFile();

		// Create file writer object
		FileWriter writer = new FileWriter(file);

		// write contents to file
		writer.write(encrypt(fileToString(new File(originalFile))));
		writer.flush();
		writer.close();

		return file;
	}

    public static String rotate(String s, Character c) {

        return "";
    }

}

